#!/usr/bin/perl -w

use strict;
use warnings;

my $mismatch=0;
foreach my $dir (@ARGV) {
    check_dir($dir);
}
exit $mismatch;

sub check_dir {
    my $sysddir=shift;
    my @sockets=glob("$sysddir/system/*.socket");
    my @services=glob("$sysddir/system/*.service");
    my %service=map {$_=>1} @services;
    if (@services) {
	foreach my $socket (@sockets) {
	    my $matchservice=$socket;
	    $matchservice=~s/\.socket$/.service/;
	    unless ($service{$matchservice}) {
		print "in $sysddir: there is a socket ",&basename($socket)," but no service ",&basename($matchservice),". Ask ildar@ why it is not right.\n";
		$mismatch=1;
	    }
	}
    }
}

sub basename {
    my $file=shift;
    $file=~s!^.*/!!;
    return $file;
}
