#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    my $macroize=sub {s,(?:\%{?_sysconfdir}?|/etc)/tmpfiles.d(/|\s|$),%_tmpfilesdir$1,g};
    my $isec=$spec->get_section('install');
    if ($isec) {
	$isec->map_body($macroize) or # move explicitly
	    $isec->push_body(q!# sysconf/udev policy - /etc is for user
mkdir -p %buildroot%_tmpfilesdir/
mv %buildroot%_sysconfdir/tmpfiles.d/* %buildroot%_tmpfilesdir/
!);
    }
    my $fsec=$spec->get_section('files',"-n $pkgname");
    $fsec=$spec->get_section('files','base') if not $fsec and $pkgname eq 'apache2-base';
    if ($fsec) {
	$fsec->map_body($macroize);
    } else {
	warn "Oops: systemd-files-in-etc: no section files -n $pkgname :(\n";
    }
};

1;
